Index: /branches/version-2_12-dev/html/admin/ownersstore/module.php
===================================================================
--- /branches/version-2_12-dev/html/admin/ownersstore/module.php	(revision 21778)
+++ /branches/version-2_12-dev/html/admin/ownersstore/module.php	(revision 21778)
@@ -0,0 +1,34 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once '../require.php';
+require_once CLASS_EX_REALDIR . 'page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Module_Ex.php';
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Admin_OwnersStore_Module_Ex();
+$objPage->init();
+$objPage->process();
+register_shutdown_function(array($objPage, 'destroy'));
Index: anches/version-2_12-dev/html/admin/ownersstore/index.php
===================================================================
--- /branches/version-2_12-dev/html/admin/ownersstore/index.php	(revision 21420)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once '../require.php';
-require_once CLASS_EX_REALDIR . 'page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Ex.php';
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_OwnersStore_Ex();
-$objPage->init();
-$objPage->process();
-register_shutdown_function(array($objPage, 'destroy'));
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/module.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/module.tpl	(revision 21778)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/module.tpl	(revision 21778)
@@ -0,0 +1,54 @@
+<!--{*
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+*}-->
+
+<!--{*
+オーナーズストア通信処理用のjsとcssを読み込む
+onclickなどで
+OwnersStore.download();やOwnersStore.products_list();を呼び出すことで
+配信サーバーとの通信処理を行う
+
+購入商品一覧はid="ownersstore_products_list"に出力される
+
+*}-->
+
+<link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/thickbox.css" type="text/css" media="screen" />
+<script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/ownersstore.js.php"></script>
+
+<form name="form1" id="form1" method="post" action="?">
+<input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<div id="ownersstore" class="contents-main">
+
+    <!--購入商品一覧ここから-->
+    <div id="ownersstore_products_list"></div>
+    <!--購入商品一覧ここまで-->
+
+    <div class="btn">
+        <a class="btn-normal" href="javascript:;" onclick="OwnersStore.products_list();return false;"><span>モジュール一覧を取得する</span></a>
+    </div>
+
+    <div id="ownersstore_index">
+        <iframe src="<!--{$smarty.const.OSTORE_SSLURL}-->info/" style="width:950px;height:600px;" scrolling="no" marginwidth="0" marginheight="0" frameborder="0"></iframe>
+    </div>
+</div>
+</form>
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/subnavi.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/subnavi.tpl	(revision 21539)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/subnavi.tpl	(revision 21778)
@@ -25,5 +25,7 @@
 <ul class="level1">
     <li id="navi-ownersstore-index" class="<!--{if $tpl_subno == 'index'}-->on<!--{/if}-->">
-        <a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->ownersstore/<!--{$smarty.const.DIR_INDEX_PATH}-->"><span>購入商品一覧</span></a></li>
+        <a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->ownersstore/<!--{$smarty.const.DIR_INDEX_PATH}-->"><span>プラグイン管理</span></a></li>
+    <li id="navi-ownersstore-module" class="<!--{if $tpl_subno == 'module'}-->on<!--{/if}-->">
+        <a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->ownersstore/module.php"><span>モジュール管理</span></a></li>
     <li id="navi-ownersstore-settings" class="<!--{if $tpl_subno == 'settings'}-->on<!--{/if}-->">
         <a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->ownersstore/settings.php"><span>認証キー設定</span></a></li>
Index: anches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/index.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/index.tpl	(revision 21539)
+++ 	(revision )
@@ -1,54 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-
-<!--{*
-オーナーズストア通信処理用のjsとcssを読み込む
-onclickなどで
-OwnersStore.download();やOwnersStore.products_list();を呼び出すことで
-配信サーバーとの通信処理を行う
-
-購入商品一覧はid="ownersstore_products_list"に出力される
-
-*}-->
-
-<link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/thickbox.css" type="text/css" media="screen" />
-<script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/ownersstore.js.php"></script>
-
-<form name="form1" id="form1" method="post" action="?">
-<input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-<div id="ownersstore" class="contents-main">
-
-    <!--購入商品一覧ここから-->
-    <div id="ownersstore_products_list"></div>
-    <!--購入商品一覧ここまで-->
-
-    <div class="btn">
-        <a class="btn-normal" href="javascript:;" onclick="OwnersStore.products_list();return false;"><span>購入商品一覧を取得する</span></a>
-    </div>
-
-    <div id="ownersstore_index">
-        <iframe src="<!--{$smarty.const.OSTORE_SSLURL}-->info/" style="width:950px;height:600px;" scrolling="no" marginwidth="0" marginheight="0" frameborder="0"></iframe>
-    </div>
-</div>
-</form>
Index: /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Module_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Module_Ex.php	(revision 21778)
+++ /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Module_Ex.php	(revision 21778)
@@ -0,0 +1,67 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_REALDIR . 'pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php';
+    
+/**
+ * オーナーズストア：モジュール管理 のページクラス(拡張).
+ *
+ * LC_Page_Admin_OwnersStore をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_OwnersStore_Module_Ex extends LC_Page_Admin_OwnersStore_Module {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
Index: anches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Ex.php	(revision 21420)
+++ 	(revision )
@@ -1,67 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once CLASS_REALDIR . 'pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php';
-
-/**
- * オーナーズストア管理：購入商品一覧 のページクラス(拡張).
- *
- * LC_Page_Admin_OwnersStore をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_OwnersStore_Ex extends LC_Page_Admin_OwnersStore {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php	(revision 21778)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php	(revision 21778)
@@ -0,0 +1,82 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_EX_REALDIR . 'page_extends/admin/LC_Page_Admin_Ex.php';
+
+/**
+ * EC-CUBEアプリケーション管理 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_OwnersStore_Module extends LC_Page_Admin_Ex {
+
+    var $tpl_subno = 'index';
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+
+        $this->tpl_mainpage = 'ownersstore/module.tpl';
+        $this->tpl_mainno   = 'ownersstore';
+        $this->tpl_subno    = 'module';
+        $this->tpl_maintitle = 'オーナーズストア';
+        $this->tpl_subtitle = 'モジュール管理';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
+        // nothing.
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
Index: anches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 21420)
+++ 	(revision )
@@ -1,82 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once CLASS_EX_REALDIR . 'page_extends/admin/LC_Page_Admin_Ex.php';
-
-/**
- * EC-CUBEアプリケーション管理 のページクラス.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_OwnersStore extends LC_Page_Admin_Ex {
-
-    var $tpl_subno = 'index';
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-
-        $this->tpl_mainpage = 'ownersstore/index.tpl';
-        $this->tpl_mainno   = 'ownersstore';
-        $this->tpl_subno    = 'index';
-        $this->tpl_maintitle = 'オーナーズストア';
-        $this->tpl_subtitle = '購入商品一覧';
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        $this->action();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のアクション.
-     *
-     * @return void
-     */
-    function action() {
-        // nothing.
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}