Index: /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Module_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Module_Ex.php	(revision 21778)
+++ /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Module_Ex.php	(revision 21783)
@@ -28,5 +28,5 @@
  * オーナーズストア：モジュール管理 のページクラス(拡張).
  *
- * LC_Page_Admin_OwnersStore をカスタマイズする場合はこのクラスを編集する.
+ * LC_Page_Admin_OwnersStore_Module をカスタマイズする場合はこのクラスを編集する.
  *
  * @package Page
Index: /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Ex.php	(revision 21782)
+++ /branches/version-2_12-dev/data/class_extends/page_extends/admin/ownersstore/LC_Page_Admin_OwnersStore_Ex.php	(revision 21783)
@@ -26,7 +26,7 @@
 
 /**
- * システム管理 のページクラス(拡張).
+ * オーナーズストア：プラグイン管理 のページクラス(拡張).
  *
- * LC_Page_Admin_System をカスタマイズする場合はこのクラスを編集する.
+ * LC_Page_Admin_OwnersStore をカスタマイズする場合はこのクラスを編集する.
  *
  * @package Page
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php	(revision 21778)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php	(revision 21783)
@@ -26,5 +26,5 @@
 
 /**
- * EC-CUBEアプリケーション管理 のページクラス.
+ * オーナーズストア：モジュール管理のページクラス.
  *
  * @package Page
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 21782)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 21783)
@@ -26,5 +26,5 @@
 
 /**
- * システム情報 のページクラス.
+ * オーナーズストア：プラグイン管理 のページクラス.
  *
  * @package Page
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 21750)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 21783)
@@ -26,5 +26,5 @@
 
 /**
- * EC-CUBEアプリケーション管理:アプリケーション設定 のページクラス.
+ * オーナーズストア：認証キー設定 のページクラス.
  *
  * @package Page
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 21750)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 21783)
@@ -26,5 +26,5 @@
 
 /**
- * アプリケーション管理:インストールログ のページクラス.
+ * オーナーズストア：インストールログ のページクラス.
  *
  * @package Page
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/system/subnavi.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/system/subnavi.tpl	(revision 21539)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/system/subnavi.tpl	(revision 21783)
@@ -30,5 +30,4 @@
 <li<!--{if $tpl_subno == 'masterdata'}--> class="on"<!--{/if}--> id="navi-system-adminarea"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->system/adminarea.php"><span>管理画面設定</span></a></li>
 <li<!--{if $tpl_subno == 'system'}--> class="on"<!--{/if}--> id="navi-system-system"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->system/system.php"><span>システム情報</span></a></li>
-<li<!--{if $tpl_subno == 'plugin'}--> class="on"<!--{/if}--> id="navi-system-plugin"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->system/plugin.php"><span>プラグイン管理</span></a></li>
 <li<!--{if $tpl_mainno == 'system' && $tpl_subno == 'log'}--> class="on"<!--{/if}--> id="navi-system-log"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->system/log.php"><span>EC-CUBE ログ表示</span></a></li>
 <li<!--{if $tpl_mainno == 'system' && $tpl_subno == 'editdb'}--> class="on"<!--{/if}--> id="navi-system-editdb"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->system/editdb.php"><span>高度なデータベース管理</span></a></li>