Index: anches/version-2_12-dev/data/downloads/plugin/SC_Plugin_Base.php
===================================================================
--- /branches/version-2_12-dev/data/downloads/plugin/SC_Plugin_Base.php	(revision 21766)
+++ 	(revision )
@@ -1,86 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- *
- *
- */
-
-/**
- * プラグインの基底クラス
- *
- * @package Plugin
- * @author LOCKON CO.,LTD.
- * @version $Id: $
- */
-abstract class SC_Plugin_Base {
-
-    var $arrSelfInfo;
-
-    /**
-     * コンストラクタ
-     * 
-     * @param array $arrSelfInfo 自身のプラグイン情報
-     * @return void
-     */
-    function __construct(array $arrSelfInfo) {
-        $this->arrSelfInfo = $arrSelfInfo;
-    }
-    /**
-     * インストール
-     * installはプラグインのインストール時に実行されます.
-     * 引数にはdtb_pluginのプラグイン情報が渡されます.
-     *
-     * @param array $arrPlugin plugin_infoを元にDBに登録されたプラグイン情報(dtb_plugin)
-     * @return void
-     */
-    abstract function install($arrPlugin);
-    
-    /**
-     * アンインストール
-     * uninstallはアンインストール時に実行されます.
-     * 引数にはdtb_pluginのプラグイン情報が渡されます.
-     * 
-     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
-     * @return void
-     */
-    abstract function uninstall($arrPlugin);
-    
-    /**
-     * 稼働
-     * enableはプラグインを有効にした際に実行されます.
-     * 引数にはdtb_pluginのプラグイン情報が渡されます.
-     *
-     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
-     * @return void
-     */
-    abstract function enable($arrPlugin);
-    
-    /**
-     * 停止
-     * disableはプラグインを無効にした際に実行されます.
-     * 引数にはdtb_pluginのプラグイン情報が渡されます.
-     *
-     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
-     * @return void
-     */
-    abstract function disable($arrPlugin);
-}
-?>
Index: /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Base.php
===================================================================
--- /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Base.php	(revision 21785)
+++ /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Base.php	(revision 21785)
@@ -0,0 +1,86 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ *
+ *
+ */
+
+/**
+ * プラグインの基底クラス
+ *
+ * @package Plugin
+ * @author LOCKON CO.,LTD.
+ * @version $Id: $
+ */
+abstract class SC_Plugin_Base {
+
+    var $arrSelfInfo;
+
+    /**
+     * コンストラクタ
+     * 
+     * @param array $arrSelfInfo 自身のプラグイン情報
+     * @return void
+     */
+    function __construct(array $arrSelfInfo) {
+        $this->arrSelfInfo = $arrSelfInfo;
+    }
+    /**
+     * インストール
+     * installはプラグインのインストール時に実行されます.
+     * 引数にはdtb_pluginのプラグイン情報が渡されます.
+     *
+     * @param array $arrPlugin plugin_infoを元にDBに登録されたプラグイン情報(dtb_plugin)
+     * @return void
+     */
+    abstract function install($arrPlugin);
+    
+    /**
+     * アンインストール
+     * uninstallはアンインストール時に実行されます.
+     * 引数にはdtb_pluginのプラグイン情報が渡されます.
+     * 
+     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
+     * @return void
+     */
+    abstract function uninstall($arrPlugin);
+    
+    /**
+     * 稼働
+     * enableはプラグインを有効にした際に実行されます.
+     * 引数にはdtb_pluginのプラグイン情報が渡されます.
+     *
+     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
+     * @return void
+     */
+    abstract function enable($arrPlugin);
+    
+    /**
+     * 停止
+     * disableはプラグインを無効にした際に実行されます.
+     * 引数にはdtb_pluginのプラグイン情報が渡されます.
+     *
+     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
+     * @return void
+     */
+    abstract function disable($arrPlugin);
+}
+?>