Index: /branches/version-2_12-dev/html/user_data/packages/admin/css/reset.css
===================================================================
--- /branches/version-2_12-dev/html/user_data/packages/admin/css/reset.css	(revision 21790)
+++ /branches/version-2_12-dev/html/user_data/packages/admin/css/reset.css	(revision 21790)
@@ -0,0 +1,99 @@
+﻿@charset "utf-8";
+
+/************************************************
+ ブラウザリセット
+************************************************ */
+html,
+body,
+div,
+span,
+applet,
+object,
+iframe,
+h1,
+h2,
+h3,
+h4,
+h5,
+h6,
+p,
+blockquote,
+pre,
+a,
+abbr,
+acronym,
+address,
+big,
+cite,
+code,
+del,
+dfn,
+em,
+font,
+img,
+ins,
+kbd,
+q,
+s,
+samp,
+small,
+strike,
+strong,
+sub,
+sup,
+tt,
+var,
+dl,
+dt,
+dd,
+ol,
+ul,
+li,
+fieldset,
+form,
+label,
+legend,
+table,
+caption,
+tbody,
+tfoot,
+thead,
+tr,
+th,
+td {
+    margin: 0;
+    padding: 0;
+    border: 0;
+}
+
+table,
+caption,
+th,
+td {
+    margin: 0;
+    padding: 0;
+    border: 0;
+    border-collapse : collapse ;
+    border-spacing: 0px;
+    empty-cells: show;
+    text-align: left;
+    font-weight: normal;
+}
+
+a img,
+iframe {
+    border: none;
+}
+ol,
+ul,
+li {
+    list-style: none;
+}
+
+input,
+textarea,
+select,
+button {
+    font-size: 100%;
+    font-family: inherit;
+}
Index: /branches/version-2_12-dev/html/user_data/packages/admin/css/admin_contents.css
===================================================================
--- /branches/version-2_12-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 21642)
+++ /branches/version-2_12-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 21790)
@@ -1,14 +1,3 @@
 @charset "utf-8";
-
-* {
-    margin: 0;
-    padding: 0;
-}
-
-
-/* 上記による Fierfox 2 崩れ対応 */
-option {
-    margin-right: 0.5em;
-}
 
 html {
@@ -33,5 +22,4 @@
 textarea {
     margin-right: 3px;
-    font-size: 100%;
 }
 
@@ -47,13 +35,4 @@
 .page_rows {
     margin-bottom: 20px;
-}
-
-img {
-    border: 0;
-}
-
-ul,
-li {
-    list-style: none;
 }
 
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/login_frame.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/login_frame.tpl	(revision 21752)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/login_frame.tpl	(revision 21790)
@@ -29,4 +29,5 @@
 <meta http-equiv="content-script-type" content="text/javascript">
 <meta http-equiv="content-style-type" content="text/css">
+<link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/reset.css" type="text/css" media="all" />
 <link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/admin_contents.css" type="text/css" media="all" />
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/navi.js"></script>
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/admin_popup_header.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/admin_popup_header.tpl	(revision 21752)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/admin_popup_header.tpl	(revision 21790)
@@ -30,4 +30,5 @@
 <meta http-equiv="content-script-type" content="text/javascript" />
 <meta http-equiv="content-style-type" content="text/css" />
+<link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/reset.css" type="text/css" media="all" />
 <link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/admin_contents.css" type="text/css" media="all" />
 <script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/navi.js"></script>
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/main_frame.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/main_frame.tpl	(revision 21752)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/main_frame.tpl	(revision 21790)
@@ -30,4 +30,5 @@
 <meta http-equiv="content-style-type" content="text/css" />
 <meta name="robots" content="noindex,nofollow" />
+<link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/reset.css" type="text/css" media="all" />
 <link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/admin_contents.css" type="text/css" media="all" />
 <link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/admin_file_manager.css" type="text/css" media="all" />