Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 21794)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 21809)
@@ -902,5 +902,5 @@
         foreach ($hookPoints as $hookPoint) {
             // 競合するプラグインを取得する,
-            $table = 'dtb_plugin_hookpoint AS T1 LEFT JOIN dtb_plugin AS T2 USING(plugin_id)';
+            $table = 'dtb_plugin_hookpoint AS T1 LEFT JOIN dtb_plugin AS T2 ON T1.plugin_id = T2.plugin_id';
             $where = 'T1.hook_point = ? AND NOT T1.plugin_id = ? AND T2.enable = ' . PLUGIN_ENABLE_TRUE;
             $objQuery->setGroupBy('T1.plugin_id, T2.plugin_name');
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 21783)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 21809)
@@ -106,5 +106,5 @@
     FROM
         dtb_module
-    ) AS modules USING(module_id)
+    ) AS modules ON dtb_module_update_logs.module_id = modules.module_id
 ORDER BY update_date DESC
 END;
@@ -132,5 +132,5 @@
     FROM
         dtb_module
-    ) AS modules USING(module_id)
+    ) AS modules ON dtb_module_update_logs.module_id = modules.module_id
 WHERE
     log_id = ?
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 21802)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 21809)
@@ -176,5 +176,5 @@
         $objQuery = $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = 'dtb_products.name,dtb_products.main_list_image,dtb_best_products.*';
-        $table = 'dtb_best_products INNER JOIN dtb_products USING (product_id)';
+        $table = 'dtb_best_products INNER JOIN dtb_products ON dtb_best_products.product_id = dtb_products.product_id';
         $where = 'dtb_best_products.del_flg = 0';
         $order = 'rank';
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 21809)
@@ -121,8 +121,8 @@
         // FIXME SC_Product クラスを使用した実装
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = 'product_id, name, main_list_image, product_code_min, product_code_max, status';
+        $col = 'alldtl.product_id, name, main_list_image, product_code_min, product_code_max, status';
         $objProduct = new SC_Product();
         $table = $objProduct->alldtlSQL();
-        $table.= ' LEFT JOIN dtb_product_categories AS T5 USING(product_id)';
+        $table.= ' LEFT JOIN dtb_product_categories AS T5 ON alldtl.product_id = T5.product_id';
         $where = 'del_flg = 0 AND category_id = ?';
 
Index: /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 21755)
+++ /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 21809)
@@ -556,10 +556,10 @@
                 product_name,
                 SUM(quantity) AS products_count,
-                COUNT(order_id) AS order_count,
+                COUNT(dtb_order_detail.order_id) AS order_count,
                 price,
                 (price * SUM(quantity)) AS total
 __EOS__;
 
-        $from = 'dtb_order_detail JOIN dtb_order USING(order_id)';
+        $from = 'dtb_order_detail JOIN dtb_order ON dtb_order_detail.order_id = dtb_order.order_id';
 
         /*
@@ -591,5 +591,5 @@
 __EOS__;
 
-        $from   = 'dtb_order JOIN dtb_customer USING ( customer_id)';
+        $from   = 'dtb_order JOIN dtb_customer ON dtb_order.customer_id = dtb_customer.customer_id';
 
         $where .= ' AND dtb_order.del_flg = 0 AND dtb_order.status <> ?';
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 21809)
@@ -126,5 +126,5 @@
         $objDb = new SC_Helper_DB_Ex();
         $col = '*';
-        $from = 'dtb_category left join dtb_category_total_count using (category_id)';
+        $from = 'dtb_category left join dtb_category_total_count ON dtb_category.category_id = dtb_category_total_count.category_id';
         // 登録商品数のチェック
         if ($count_check) {
@@ -177,5 +177,5 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '*';
-        $from = 'dtb_category left join dtb_category_total_count using (category_id)';
+        $from = 'dtb_category left join dtb_category_total_count ON dtb_category.category_id = dtb_category_total_count.category_id';
         // メインカテゴリとその直下のカテゴリを取得する。
         $where = 'level <= 2 AND del_flg = 0';
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21809)
@@ -283,5 +283,5 @@
                             $dtb_product_categories T2
                             JOIN dtb_category T3
-                                USING (category_id)
+                              ON T2.category_id = T3.category_id
                         WHERE T2.product_id = alldtl.product_id
                         ORDER BY T3.rank DESC, T2.rank DESC
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 21809)
@@ -95,6 +95,6 @@
         if ($order_count != 1) return array();
 
-        $col    = 'product_class_id, quantity';
-        $table  = 'dtb_order_detail LEFT JOIN dtb_products_class USING(product_class_id)';
+        $col    = 'dtb_order_detail.product_class_id, quantity';
+        $table  = 'dtb_order_detail LEFT JOIN dtb_products_class ON dtb_order_detail.product_class_id = dtb_products_class.product_class_id';
         $where  = 'order_id = ?';
         $objQuery->setOrder('order_detail_id');
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 21809)
@@ -118,5 +118,5 @@
         $where      = 'send_id = ? AND customer_id = ?';
         $arrWhereVal = array($send_id, $customer_id);
-        return $objQuery->select($col, 'dtb_mail_history LEFT JOIN dtb_order USING(order_id)', $where, $arrWhereVal);
+        return $objQuery->select($col, 'dtb_mail_history LEFT JOIN dtb_order ON dtb_mail_history.order_id = dtb_order.order_id', $where, $arrWhereVal);
     }
 }
Index: /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php	(revision 21809)
@@ -153,5 +153,5 @@
                             $dtb_product_categories T2
                             JOIN dtb_category T3
-                                USING (category_id)
+                              ON T2.category_id = T3.category_id
                         WHERE T2.product_id = alldtl.product_id
                         ORDER BY T3.rank DESC, T2.rank DESC