Index: /branches/version-2_12-dev/data/class/SC_SelectSql.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21767)
+++ /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21832)
@@ -31,6 +31,4 @@
     var $order;
     var $group;
-    var $limit;
-    var $offset;
     var $arrSql;
     var $arrVal;
@@ -47,9 +45,6 @@
         $this->sql = $this->select .' '. $this->where .' '. $this->group .' ';
 
-        // $mode == 1 は limit & offset無し
         if ($mode == 2) {
             $this->sql .= $this->order;
-        } elseif ($mode != 1) {
-            $this->sql .= $this->order . ' ' .$this->limit .' '. $this->offset;
         }
 
@@ -240,13 +235,4 @@
     }
 
-    function setLimitOffset($limit, $offset) {
-
-        if (is_numeric($limit) and is_numeric($offset)) {
-
-            $this->limit = ' LIMIT ' .$limit;
-            $this->offset = ' OFFSET ' .$offset;
-        }
-    }
-
     function clearSql() {
         $this->select = '';
@@ -254,6 +240,4 @@
         $this->group = '';
         $this->order = '';
-        $this->limit = '';
-        $this->offset = '';
     }
 
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 21695)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 21832)
@@ -637,9 +637,10 @@
         $offset = intval($page_max) * (intval($disp_pageno) - 1);
         if ($limitMode == '') {
-    $objSelect->setLimitOffset($page_max, $offset);
+            $objQuery->setLimitOffset($page_max, $offset);
         }
         $arrData = $objQuery->getAll($objSelect->getList(), $objSelect->arrVal);
 
         // 該当全体件数の取得
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $linemax = $objQuery->getOne($objSelect->getListCount(), $objSelect->arrVal);
 
Index: /branches/version-2_12-dev/data/class/SC_Query.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Query.php	(revision 21830)
+++ /branches/version-2_12-dev/data/class/SC_Query.php	(revision 21832)
@@ -348,5 +348,4 @@
      *
      * この関数で設定した値は SC_Query::getSql() で使用されます.
-     * TODO MDB2::setLimit() を使用する
      *
      * @param integer $limit LIMIT 句に付与する値
@@ -356,8 +355,5 @@
     function setLimitOffset($limit, $offset = 0) {
         if (is_numeric($limit) && is_numeric($offset)) {
-
-            $option = ' LIMIT ' . $limit;
-            $option.= ' OFFSET ' . $offset;
-            $this->option .= $option;
+            $this->conn->setLimit($limit, $offset);
         }
         return $this;
@@ -457,5 +453,5 @@
     function setLimit($limit) {
         if (is_numeric($limit)) {
-            $this->option = ' LIMIT ' .$limit;
+            $this->conn->setLimit($limit);
         }
         return $this;
@@ -467,10 +463,10 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param integer $offset LIMIT 句に設定する値
+     * @param integer $offset OFFSET 句に設定する値
      * @return SC_Query 自分自身のインスタンス
      */
     function setOffset($offset) {
         if (is_numeric($offset)) {
-            $this->offset = ' OFFSET ' .$offset;
+            $this->conn->setLimit($this->conn->limit, $offset);
         }
         return $this;
Index: /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 21832)
@@ -128,13 +128,11 @@
      */
     function getMemberData($startno) {
-        $objSql = new SC_SelectSql_Ex();
-        $objSql->setSelect('SELECT member_id,name,department,login_id,authority,rank,work FROM dtb_member');
-        $objSql->setOrder('rank DESC');
-        $objSql->setWhere('del_flg <> 1 AND member_id <> '. ADMIN_ID);
-        $objSql->setLimitOffset(MEMBER_PMAX, $startno);
-
+        $col = 'member_id,name,department,login_id,authority,rank,work';
+        $from = 'dtb_member';
+        $where = 'del_flg <> 1 AND member_id <> ?';
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $arrMemberData = $objQuery->getAll($objSql->getSql());
-
+        $objQuery->setOrder('rank DESC');
+        $objQuery->setLimitOffset(MEMBER_PMAX, $startno);
+        $arrMemberData = $objQuery->select($col, $from, $where, array(ADMIN_ID));
         return $arrMemberData;
     }
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21832)
@@ -516,5 +516,7 @@
         $col = 'create_date, reviewer_url, reviewer_name, recommend_level, title, comment';
         $from = 'dtb_review';
-        $where = 'del_flg = 0 AND status = 1 AND product_id = ? ORDER BY create_date DESC LIMIT ' . REVIEW_REGIST_MAX;
+        $where = 'del_flg = 0 AND status = 1 AND product_id = ?';
+        $objQuery->setOrder('create_date DESC');
+        $objQuery->setLimit(REVIEW_REGIST_MAX);
         $arrWhereVal = array($id);
         $arrReview = $objQuery->select($col, $from, $where, $arrWhereVal);