Index: /branches/version-2_12-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 21800)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 21840)
@@ -77,6 +77,8 @@
 　住所　　：<!--{$arrPref[$shipping.shipping_pref]}--><!--{$shipping.shipping_addr01}--><!--{$shipping.shipping_addr02}-->
 　電話番号：<!--{$shipping.shipping_tel01}-->-<!--{$shipping.shipping_tel02}-->-<!--{$shipping.shipping_tel03}-->
+　FAX番号 ：<!--{if $shipping.shipping_fax01 > 0}--><!--{$shipping.shipping_fax01}-->-<!--{$shipping.shipping_fax02}-->-<!--{$shipping.shipping_fax03}--><!--{/if}-->
+
 　お届け日：<!--{$shipping.shipping_date|date_format:"%Y/%m/%d"|default:"指定なし"}-->
-お届け時間：<!--{$shipping.shipping_time|default:"指定なし"}-->
+　お届け時間：<!--{$shipping.shipping_time|default:"指定なし"}-->
 
 <!--{foreach item=item name=item from=$shipping.shipment_item}-->
Index: /branches/version-2_12-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 21539)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 21840)
@@ -99,17 +99,17 @@
     </td>
 </tr>
+<tr>
+    <th>FAX</th>
+    <td>
+        <!--{assign var=key1 value="`$prefix`fax01"}-->
+        <!--{assign var=key2 value="`$prefix`fax02"}-->
+        <!--{assign var=key3 value="`$prefix`fax03"}-->
+        <!--{if $arrErr[$key1] || $arrErr[$key2] || $arrErr[$key3]}-->
+            <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--><!--{$arrErr[$key3]}--></div>
+        <!--{/if}-->
+        <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />
+    </td>
+</tr>
 <!--{if $flgFields > 1}-->
-    <tr>
-        <th>FAX</th>
-        <td>
-            <!--{assign var=key1 value="`$prefix`fax01"}-->
-            <!--{assign var=key2 value="`$prefix`fax02"}-->
-            <!--{assign var=key3 value="`$prefix`fax03"}-->
-            <!--{if $arrErr[$key1] || $arrErr[$key2] || $arrErr[$key3]}-->
-                <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--><!--{$arrErr[$key3]}--></div>
-            <!--{/if}-->
-            <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />
-        </td>
-    </tr>
     <tr>
         <th>メールアドレス<span class="attention">※</span></th>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 21821)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 21840)
@@ -204,4 +204,12 @@
                     </tr>
                     <tr>
+                        <th class="alignL">FAX番号</th>
+                        <td>
+                            <!--{if $shippingItem.shipping_fax01 > 0}-->
+                                <!--{$shippingItem.shipping_fax01}-->-<!--{$shippingItem.shipping_fax02}-->-<!--{$shippingItem.shipping_fax03}-->
+                            <!--{/if}-->
+                        </td>
+                    </tr>
+                    <tr>
                         <th class="alignL">お届け日</th>
                         <td><!--{$shippingItem.shipping_date|default:'指定なし'|h}--></td>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/shopping/confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 21548)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 21840)
@@ -246,4 +246,12 @@
                     <td><!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--></td>
                 </tr>
+                <tr>
+                    <th scope="row">FAX番号</th>
+                    <td>
+                        <!--{if $shippingItem.shipping_fax01 > 0}-->
+                            <!--{$shippingItem.shipping_fax01}-->-<!--{$shippingItem.shipping_fax02}-->-<!--{$shippingItem.shipping_fax03}-->
+                        <!--{/if}-->
+                    </td>
+                </tr>
             <!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
                 <tr>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 21636)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 21840)
@@ -123,4 +123,9 @@
         ●電話番号<br>
         <!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--><br>
+        <!--{if $shippingItem.shipping_fax01 > 0}-->
+            ●FAX番号<br>
+            <!--{$shippingItem.shipping_fax01}-->-<!--{$shippingItem.shipping_fax02}-->-<!--{$shippingItem.shipping_fax03}--><br>
+        <!--{/if}-->
+        <br>
     <!--{/foreach}-->
 
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl	(revision 21537)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl	(revision 21840)
@@ -42,4 +42,7 @@
     	<!--{$arrPref[$arrForm.pref]|h}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}--><br>
     	<!--{$arrForm.tel01|h}-->-<!--{$arrForm.tel02|h}-->-<!--{$arrForm.tel03|h}--><br>
+    	<!--{if $arrForm.fax01 > 0}-->
+    	    <!--{$arrForm.fax01|h}-->-<!--{$arrForm.fax02|h}-->-<!--{$arrForm.fax03|h}--><br>
+    	<!--{/if}-->
     	<br>
 
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/change.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/change.tpl	(revision 21679)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/change.tpl	(revision 21840)
@@ -102,4 +102,13 @@
     	<input type="text" size="<!--{$size}-->" name="tel03" value="<!--{$arrForm.tel03|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4"><br>
 
+    	【FAX番号】<br>
+    	<font color="#FF0000"><!--{$arrErr.fax01}--><!--{$arrErr.fax02}--><!--{$arrErr.fax03}--></font>
+    	<!--{assign var="size" value="`$smarty.const.TEL_ITEM_LEN+2`"}-->
+    	<input type="text" size="<!--{$size}-->" name="fax01" value="<!--{$arrForm.fax01|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4">
+    	&nbsp;-&nbsp;
+    	<input type="text" size="<!--{$size}-->" name="fax02" value="<!--{$arrForm.fax02|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4">
+    	&nbsp;-&nbsp;
+    	<input type="text" size="<!--{$size}-->" name="fax03" value="<!--{$arrForm.fax03|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4"><br>
+
     	【携帯メールアドレス】<font color="#FF0000">※</font><br>
     	<font color="#FF0000"><!--{$arrErr.email_mobile}--></font>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 21840)
@@ -89,4 +89,7 @@
                 <!--{$shippingItem.shipping_name01|h}--> <!--{$shippingItem.shipping_name02|h}--><br>
                 <!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--><br>
+                <!--{if $shippingItem.shipping_fax01 > 0}-->
+                    <!--{$shippingItem.shipping_fax01}-->-<!--{$shippingItem.shipping_fax02}-->-<!--{$shippingItem.shipping_fax03}--><br>
+                <!--{/if}-->
 
                 <br>
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 21839)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 21840)
@@ -44,4 +44,7 @@
         df['shipping_tel02[0]'].value = df.order_tel02.value;
         df['shipping_tel03[0]'].value = df.order_tel03.value;
+        df['shipping_fax01[0]'].value = df.order_fax01.value;
+        df['shipping_fax02[0]'].value = df.order_fax02.value;
+        df['shipping_fax03[0]'].value = df.order_fax03.value;
         df['shipping_pref[0]'].value = df.order_pref.value;
         df['shipping_addr01[0]'].value = df.order_addr01.value;
@@ -494,4 +497,18 @@
             </tr>
             <tr>
+                <th>FAX</th>
+                <td>
+                    <!--{assign var=key1 value="shipping_fax01"}-->
+                    <!--{assign var=key2 value="shipping_fax02"}-->
+                    <!--{assign var=key3 value="shipping_fax03"}-->
+                    <span class="attention"><!--{$arrErr[$key1][$shipping_index]}--></span>
+                    <span class="attention"><!--{$arrErr[$key2][$shipping_index]}--></span>
+                    <span class="attention"><!--{$arrErr[$key3][$shipping_index]}--></span>
+                    <input type="text" name="<!--{$key1}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$key1]|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1][$shipping_index]|sfGetErrorColor}-->" size="6" class="box6" /> -
+                    <input type="text" name="<!--{$key2}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$key2]|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2][$shipping_index]|sfGetErrorColor}-->" size="6" class="box6" /> -
+                    <input type="text" name="<!--{$key3}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$key3]|h}-->" maxlength="<!--{$arrForm[$key3].length}-->" style="<!--{$arrErr[$key3][$shipping_index]|sfGetErrorColor}-->" size="6" class="box6" />
+                </td>
+            </tr>
+            <tr>
                 <th>住所</th>
                 <td>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21535)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/confirm.tpl	(revision 21840)
@@ -186,4 +186,7 @@
                                     <p class="deliv_name"><!--{$shippingItem.shipping_name01|h}--> <!--{$shippingItem.shipping_name02|h}--></p>
                                     <p><!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--></p>
+                                    <!--{if $shippingItem.shipping_fax01 > 0}-->
+                                        <p><!--{$shippingItem.shipping_fax01}-->-<!--{$shippingItem.shipping_fax02}-->-<!--{$shippingItem.shipping_fax03}--></p>
+                                    <!--{/if}-->
                                 </dd>
                                 <!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 21537)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/form_personal_input.tpl	(revision 21840)
@@ -84,16 +84,16 @@
 </dd>
 
+<dt>FAX</dt>
+<dd>
+    <!--{assign var=key1 value="`$prefix`fax01"}-->
+    <!--{assign var=key2 value="`$prefix`fax02"}-->
+    <!--{assign var=key3 value="`$prefix`fax03"}-->
+    <!--{if $arrErr[$key1] || $arrErr[$key2] || $arrErr[$key3]}-->
+        <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--><!--{$arrErr[$key3]}--></div>
+    <!--{/if}-->
+    <input type="tel" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" class="boxShort text data-role-none" />&nbsp;－&nbsp;<input type="tel" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" class="boxShort text data-role-none" />&nbsp;－&nbsp;<input type="tel" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" class="boxShort text data-role-none" />
+</dd>
+
 <!--{if $flgFields > 1}-->
-
-    <dt>FAX</dt>
-    <dd>
-        <!--{assign var=key1 value="`$prefix`fax01"}-->
-        <!--{assign var=key2 value="`$prefix`fax02"}-->
-        <!--{assign var=key3 value="`$prefix`fax03"}-->
-        <!--{if $arrErr[$key1] || $arrErr[$key2] || $arrErr[$key3]}-->
-            <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--><!--{$arrErr[$key3]}--></div>
-        <!--{/if}-->
-        <input type="tel" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" class="boxShort text data-role-none" />&nbsp;－&nbsp;<input type="tel" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" class="boxShort text data-role-none" />&nbsp;－&nbsp;<input type="tel" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" class="boxShort text data-role-none" />
-    </dd>
 
     <dt>メールアドレス&nbsp;<span class="attention">※</span></dt>
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 21832)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 21840)
@@ -380,4 +380,7 @@
         $objFormParam->addParam('お電話番号2', 'tel02', TEL_ITEM_LEN, 'n', array('EXIST_CHECK', 'SPTAB_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('お電話番号3', 'tel03', TEL_ITEM_LEN, 'n', array('EXIST_CHECK', 'SPTAB_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('FAX番号1', 'fax01', TEL_ITEM_LEN, 'n', array('SPTAB_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('FAX番号2', 'fax02', TEL_ITEM_LEN, 'n', array('SPTAB_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('FAX番号3', 'fax03', TEL_ITEM_LEN, 'n', array('SPTAB_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
     }
 
@@ -402,7 +405,4 @@
 
         if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE) {
-            $objFormParam->addParam('FAX番号1', 'fax01', TEL_ITEM_LEN, 'n', array('SPTAB_CHECK'));
-            $objFormParam->addParam('FAX番号2', 'fax02', TEL_ITEM_LEN, 'n', array('SPTAB_CHECK'));
-            $objFormParam->addParam('FAX番号3', 'fax03', TEL_ITEM_LEN, 'n', array('SPTAB_CHECK'));
             $objFormParam->addParam('メールアドレス', 'email', null, 'a', array('NO_SPTAB', 'EXIST_CHECK', 'EMAIL_CHECK', 'SPTAB_CHECK' ,'EMAIL_CHAR_CHECK'));
             $objFormParam->addParam('パスワード(確認)', 'password02', STEXT_LEN, 'a', array('EXIST_CHECK', 'SPTAB_CHECK' ,'ALNUM_CHECK'), '', false);
@@ -495,4 +495,5 @@
 
         $objErr->doFunc(array('お電話番号', 'tel01', 'tel02', 'tel03'),array('TEL_CHECK'));
+        $objErr->doFunc(array('FAX番号', 'fax01', 'fax02', 'fax03') ,array('TEL_CHECK'));
         $objErr->doFunc(array('郵便番号', 'zip01', 'zip02'), array('ALL_EXIST_CHECK'));
 
@@ -516,5 +517,4 @@
             }
             $objErr->doFunc(array('パスワード', 'パスワード(確認)', 'password', 'password02') ,array('EQUAL_CHECK'));
-            $objErr->doFunc(array('FAX番号', 'fax01', 'fax02', 'fax03') ,array('TEL_CHECK'));
         }
 
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 21839)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 21840)
@@ -37,5 +37,5 @@
         'name01', 'name02', 'kana01', 'kana02',
         'sex', 'zip01', 'zip02', 'pref', 'addr01', 'addr02',
-        'tel01', 'tel02', 'tel03',
+        'tel01', 'tel02', 'tel03', 'fax01', 'fax02', 'fax03',
     );
 
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21839)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21840)
@@ -367,4 +367,7 @@
         $objFormParam->addParam('電話番号2', 'shipping_tel02', TEL_ITEM_LEN, 'n', array('MAX_LENGTH_CHECK' ,'NUM_CHECK'));
         $objFormParam->addParam('電話番号3', 'shipping_tel03', TEL_ITEM_LEN, 'n', array('MAX_LENGTH_CHECK' ,'NUM_CHECK'));
+        $objFormParam->addParam('FAX番号1', 'shipping_fax01', TEL_ITEM_LEN, 'n', array('MAX_LENGTH_CHECK' ,'NUM_CHECK'));
+        $objFormParam->addParam('FAX番号2', 'shipping_fax02', TEL_ITEM_LEN, 'n', array('MAX_LENGTH_CHECK' ,'NUM_CHECK'));
+        $objFormParam->addParam('FAX番号3', 'shipping_fax03', TEL_ITEM_LEN, 'n', array('MAX_LENGTH_CHECK' ,'NUM_CHECK'));
         $objFormParam->addParam('お届け時間ID', 'time_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('お届け日(年)', 'shipping_date_year', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
Index: /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql	(revision 21810)
+++ /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql	(revision 21840)
@@ -696,4 +696,7 @@
     tel02 text,
     tel03 text,
+    fax01 text,
+    fax02 text,
+    fax03 text,
     PRIMARY KEY (other_deliv_id)
 );
Index: /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql	(revision 21810)
+++ /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql	(revision 21840)
@@ -696,4 +696,7 @@
     tel02 text,
     tel03 text,
+    fax01 text,
+    fax02 text,
+    fax03 text,
     PRIMARY KEY (other_deliv_id)
 );