Index: /branches/version-2_12-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21858)
+++ /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21875)
@@ -1240,6 +1240,6 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HTTP_REQUEST_TIMEOUT', '"5"', 1219, '外部サイトHTTP取得タイムアウト時間(秒)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ZIP_DOWNLOAD_URL', '"http://www.post.japanpost.jp/zipcode/dl/kogaki/zip/ken_all.zip"', 1224, '郵便番号CSVのZIPアーカイブファイルの取得元');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HOOK_POINT_PREPROCESS', 'LC_Page_preProcess', 1301, 'フックポイント(プレプロセス)');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HOOK_POINT_PROCESS', 'LC_Page_process', 1302, 'フックポイント(プロセス)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HOOK_POINT_PREPROCESS', '"LC_Page_preProcess"', 1301, 'フックポイント(プレプロセス)');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HOOK_POINT_PROCESS', '"LC_Page_process"', 1302, 'フックポイント(プロセス)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('PLUGIN_ACTIVATE_FLAG', 'true', 1303, 'プラグインのロード可否フラグ)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTY_FORCE_COMPILE_MODE', 'false', 1401, 'SMARTYコンパイルモード');
Index: /branches/version-2_12-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21858)
+++ /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21875)
@@ -94,6 +94,6 @@
 /** 生年月日登録開始年 */
 define('BIRTH_YEAR', 1901);
-/** 本システムの稼働開始年 */ 
-define('RELEASE_YEAR', 2005); 
+/** 本システムの稼働開始年 */
+define('RELEASE_YEAR', 2005);
 /** クレジットカードの期限＋何年 */
 define('CREDIT_ADD_YEAR', 10);
@@ -191,5 +191,5 @@
 define('CSV_TEMP_REALDIR', DATA_REALDIR . "upload/csv/");
 /** 画像がない場合に表示 */
-define('NO_IMAGE_REALFILE', USER_TEMPLATE_REALDIR . "img/picture/img_blank.gif");
+define('NO_IMAGE_REALFILE', USER_TEMPLATE_REALDIR . "default/img/picture/img_blank.gif");
 /** システム管理トップ */
 define('ADMIN_SYSTEM_URLPATH', ROOT_URLPATH . ADMIN_DIR . "system/" . DIR_INDEX_PATH);
@@ -259,5 +259,5 @@
 /** 検査数値用桁数(INT) */
 define('INT_LEN', 9);
-/** クレジットカードの文字数 (*モジュールで使用) */ 
+/** クレジットカードの文字数 (*モジュールで使用) */
 define('CREDIT_NO_LEN', 4);
 /** 検索カテゴリ最大表示文字数(byte) */
@@ -303,6 +303,6 @@
 /** お届け可能日以降のプルダウン表示最大日数 */
 define('DELIV_DATE_END_MAX', 21);
-/** 支払期限 (*モジュールで使用) */ 
-define('CV_PAYMENT_LIMIT', 14); 
+/** 支払期限 (*モジュールで使用) */
+define('CV_PAYMENT_LIMIT', 14);
 /** 商品レビューでURL書き込みを許可するか否か */
 define('REVIEW_ALLOW_URL', 0);
@@ -313,5 +313,5 @@
 /** 在庫無し商品の非表示(true:非表示、false:表示) */
 define('NOSTOCK_HIDDEN', false);
-/** モバイルサイトを利用するか(true:利用する、false:利用しない) (false は一部対応) (*モジュールで使用) */ 
+/** モバイルサイトを利用するか(true:利用する、false:利用しない) (false は一部対応) (*モジュールで使用) */
 define('USE_MOBILE', true);
 /** 複数配送先指定機能を利用するか(true:利用する、false:利用しない) */
@@ -385,22 +385,22 @@
 /** 画像リネーム設定 (商品画像のみ) (true:リネームする、false:リネームしない) */
 define('IMAGE_RENAME', true);
-/** (2.11用)プラグインディレクトリ(モジュールで使用) */ 
-define('PLUGIN_DIR', "plugins/"); 
-/** (2.11用)プラグイン保存先(モジュールで使用) */ 
-define('PLUGIN_REALDIR', USER_REALDIR . PLUGIN_DIR); 
-/** プラグイン保存先ディレクトリ */ 
-define('PLUGIN_UPLOAD_REALDIR', DATA_REALDIR . "downloads/plugin/"); 
-/** プラグイン保存先ディレクトリ(html) */ 
+/** (2.11用)プラグインディレクトリ(モジュールで使用) */
+define('PLUGIN_DIR', "plugins/");
+/** (2.11用)プラグイン保存先(モジュールで使用) */
+define('PLUGIN_REALDIR', USER_REALDIR . PLUGIN_DIR);
+/** プラグイン保存先ディレクトリ */
+define('PLUGIN_UPLOAD_REALDIR', DATA_REALDIR . "downloads/plugin/");
+/** プラグイン保存先ディレクトリ(html) */
 define('PLUGIN_HTML_REALDIR', HTML_REALDIR . "plugin/");
-/** プラグインファイル一時保存先 */ 
-define('PLUGIN_TEMP_REALDIR', HTML_REALDIR . "upload/temp_plugin/"); 
-/** プラグインファイル登録可能拡張子(カンマ区切り) */ 
-define('PLUGIN_EXTENSION', "tar,tar.gz"); 
+/** プラグインファイル一時保存先 */
+define('PLUGIN_TEMP_REALDIR', HTML_REALDIR . "upload/temp_plugin/");
+/** プラグインファイル登録可能拡張子(カンマ区切り) */
+define('PLUGIN_EXTENSION', "tar,tar.gz");
 /** プラグイン一時展開用ディレクトリ（アップデート用） */
 define('DOWNLOADS_TEMP_PLUGIN_UPDATE_DIR', DATA_REALDIR . "downloads/tmp/plugin_update/");
 /** プラグイン一時展開用ディレクトリ（インストール用） */
 define('DOWNLOADS_TEMP_PLUGIN_INSTALL_DIR', DATA_REALDIR . "downloads/tmp/plugin_install/");
-/** プラグインURL */ 
-define('PLUGIN_HTML_URLPATH' ,ROOT_URLPATH . "plugin/");
+/** プラグインURL */
+define('PLUGIN_HTML_URLPATH', ROOT_URLPATH . "plugin/");
 /** 日数桁数 */
 define('DOWNLOAD_DAYS_LEN', 3);