Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 21935)
@@ -111,5 +111,5 @@
             $arrProductList = $objProduct->getListByProductIds($objQuery, $arrProductId);
             // おすすめ商品情報にマージ
-            foreach (array_keys($arrBestProducts) as $key) {
+            foreach ($arrBestProducts as $key => $value) {
                 $arrRow =& $arrBestProducts[$key];
                 if (isset($arrProductList[$arrRow['product_id']])) {
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 21935)
@@ -135,5 +135,5 @@
         // モバイルサイトのセッション保持 (#797)
         if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
-            foreach (array_keys($arrNewsList) as $key) {
+            foreach ($arrNewsList as $key => $value) {
                 $arrRow =& $arrNewsList[$key];
                 if (SC_Utils_Ex::isAppInnerUrl($arrRow['news_url'])) {
Index: /branches/version-2_12-dev/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/LC_Page_Sitemap.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/LC_Page_Sitemap.php	(revision 21935)
@@ -284,5 +284,5 @@
 
         // URL にプロトコルの記載が無い場合、HTTP_URL を前置する。
-        foreach (array_keys($arrPageList) as $key) {
+        foreach ($arrPageList as $key => $value) {
             $arrPage =& $arrPageList[$key];
             if (!preg_match('|^https?://|i', $arrPage['url'])) {
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21933)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21935)
@@ -465,5 +465,5 @@
     function lfSetSelectedData(&$arrProducts, $arrForm, $arrErr, $product_id) {
         $js_fnOnLoad = '';
-        foreach (array_keys($arrProducts) as $key) {
+        foreach ($arrProducts as $key => $value) {
             if ($arrProducts[$key]['product_id'] == $product_id) {
 
Index: /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 21935)
@@ -117,5 +117,5 @@
 
         // RSS用に変換
-        foreach (array_keys($arrNews) as $key) {
+        foreach ($arrNews as $key => $value) {
             $netUrlHttpUrl = new Net_URL(HTTP_URL);
 
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 21935)
@@ -160,5 +160,5 @@
         $arrItems = array();
         $index = 0;
-        foreach (array_keys($cartLists) as $key) {
+        foreach ($cartLists as $key => $value) {
             $arrProductsClass = $cartLists[$key]['productsClass'];
             $quantity = (int) $cartLists[$key]['quantity'];
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 21935)
@@ -348,5 +348,5 @@
          * リファレンスで代入すると, セッションに添字を追加できない？
          */
-        foreach (array_keys($_SESSION['shipping']) as $key) {
+        foreach ($_SESSION['shipping'] as $key => $value) {
             $shipping_id = $_SESSION['shipping'][$key]['shipping_id'];
             $time_id = $objFormParam->getValue('deliv_time_id' . $shipping_id);
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21870)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21935)
@@ -784,5 +784,5 @@
         $exists = false;
         $arrExistsProductClassIds = $objFormParam->getValue('product_class_id');
-        foreach (array_keys($arrExistsProductClassIds) as $key) {
+        foreach ($arrExistsProductClassIds as $key => $value) {
             $exists_product_class_id = $arrExistsProductClassIds[$key];
             if ($exists_product_class_id == $product_class_id) {
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 21894)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 21935)
@@ -497,5 +497,5 @@
         $select_recommend_id = $arrForm['recommend_id' . $select_recommend_no];
 
-        foreach (array_keys($arrForm) as $key) {
+        foreach ($arrForm as $key => $value) {
             if (preg_match('/^recommend_id/', $key)) {
                 if ($select_recommend_no == preg_replace('/^recommend_id/', '', $key)) {
Index: /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 21935)
@@ -416,6 +416,6 @@
             $objGraphBar = new SC_Graph_Bar();
 
-            foreach (array_keys($arrList) as $val) {
-                $arrKey[] = mb_ereg_replace('～', '-', $val);
+            foreach ($arrList as $key => $value) {
+                $arrKey[] = mb_ereg_replace('～', '-', $key);
             }
 
@@ -527,5 +527,5 @@
         $arrTotalResults = $objQuery->select($col, $from, $where, $arrWhereVal);
 
-        foreach (array_keys($arrTotalResults) as $key) {
+        foreach ($arrTotalResults as $key => $value) {
             $arrResult =& $arrTotalResults[$key];
             $member_key = $arrResult['order_sex'];
@@ -600,5 +600,5 @@
         $arrTotalResults = $objQuery->select($col, $from, $where, $arrWhereVal);
 
-        foreach (array_keys($arrTotalResults) as $key) {
+        foreach ($arrTotalResults as $key => $value) {
             $arrResult =& $arrTotalResults[$key];
             $job_key = $arrResult['job'];
@@ -637,5 +637,5 @@
         $arrTotalResults = $objQuery->select($col, $from, $where, $arrWhereVal);
 
-        foreach (array_keys($arrTotalResults) as $key) {
+        foreach ($arrTotalResults as $key => $value) {
             $arrResult =& $arrTotalResults[$key];
             $age_key = $arrResult['age'];
@@ -783,6 +783,6 @@
             // 合計の計算
             foreach ($arrResults as $arrResult) {
-                foreach (array_keys($arrResult) as $value) {
-                    $arrTotal[$value] += $arrResult[$value];
+                foreach ($arrResult as $key => $value) {
+                    $arrTotal[$key] += $arrResult[$key];
                 }
             }
Index: /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 21924)
+++ /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 21935)
@@ -450,5 +450,5 @@
                 }
                 unset($row);
-                foreach (array_keys($ret) as $key) {
+                foreach ($ret as $key => $value) {
                     if ($ret[$key]['bkup_name'] == $bkup_name) {
                         $row =& $ret[$key];
Index: /branches/version-2_12-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 21925)
+++ /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 21935)
@@ -51,7 +51,7 @@
         }
         // 1世代古いコピー情報は、削除しておく
-        foreach (array_keys($_SESSION) as $k) {
-            if ($k != $this->key_tmp && preg_match('/^savecart_/', $k)) {
-                unset($this->cartSession[$productTypeId][$k]);
+        foreach ($_SESSION as $key => $value) {
+            if ($key != $this->key_tmp && preg_match('/^savecart_/', $key)) {
+                unset($this->cartSession[$productTypeId][$key]);
             }
         }
@@ -97,5 +97,5 @@
     function getNextCartID($productTypeId) {
         $count = array();
-        foreach (array_keys($this->cartSession[$productTypeId]) as $key) {
+        foreach ($this->cartSession[$productTypeId] as $key => $value) {
             $count[] = $this->cartSession[$productTypeId][$key]['cart_no'];
         }
@@ -144,5 +144,5 @@
         $max = 0;
         if (count($this->cartSession[$productTypeId]) > 0) {
-            foreach (array_keys($this->cartSession[$productTypeId]) as $key) {
+            foreach ($this->cartSession[$productTypeId] as $key => $value) {
                 if (is_numeric($key)) {
                     if ($max < $key) {
@@ -320,5 +320,5 @@
 
         // 必要な項目以外を削除。
-        foreach (array_keys($arrProductsClass) as $key) {
+        foreach ($arrProductsClass as $key => $value) {
             if (!isset($arrNecessaryItems[$key])) {
                 unset($arrProductsClass[$key]);
@@ -379,5 +379,5 @@
         foreach ($cartKeys as $key) {
             $cartItems = $this->getCartList($key);
-            foreach (array_keys($cartItems) as $itemKey) {
+            foreach ($cartItems as $itemKey => $itemValue) {
                 $cartItem =& $cartItems[$itemKey];
                 $results[$key][$i] =& $cartItem;
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 21927)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 21935)
@@ -277,5 +277,5 @@
         }
 
-        foreach (array_keys($fields) as $key) {
+        foreach ($fields as $key => $value) {
             $field =& $fields[$key];
 
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php	(revision 21927)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php	(revision 21935)
@@ -137,5 +137,5 @@
         $objQuery->setOrder('shipping_id');
         $arrRet = $objQuery->select('*', 'dtb_shipping', 'order_id = ?', array($order_id));
-        foreach (array_keys($arrRet) as $key) {
+        foreach ($arrRet as $key => $value) {
             $objQuery->setOrder('shipping_id');
             $arrItems = $objQuery->select('*', 'dtb_shipment_item', 'order_id = ? AND shipping_id = ?',
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Mobile.php	(revision 21927)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Mobile.php	(revision 21935)
@@ -96,5 +96,5 @@
     function lfMobileConvertInputValue(&$value) {
         if (is_array($value)) {
-            foreach (array_keys($value) as $key) {
+            foreach ($value as $key => $val) {
                 $this->lfMobileConvertInputValue($value[$key]);
             }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 21927)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 21935)
@@ -75,5 +75,5 @@
         $arrBlocs = $objPlugin->getEnableBlocs($arrBlocs);
         // php_path, tpl_path が存在するものを, 各ターゲットに配置
-        foreach (array_keys($arrTarget) as $target_id) {
+        foreach ($arrTarget as $target_id => $value) {
             foreach ($arrBlocs as $arrBloc) {
                 if ($arrBloc['target_id'] != $target_id) {
@@ -324,5 +324,5 @@
      */
     function setBlocPathTo($device_type_id = DEVICE_TYPE_PC, &$arrBlocs = array()) {
-        foreach (array_keys($arrBlocs) as $key) {
+        foreach ($arrBlocs as $key => $value) {
             $arrBloc =& $arrBlocs[$key];
             $arrBloc['php_path'] = SC_Utils_Ex::isBlank($arrBloc['php_path']) ? '' : HTML_REALDIR . $arrBloc['php_path'];
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 21927)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 21935)
@@ -317,5 +317,5 @@
     function clearShipmentItemTemp($shipping_id = null) {
         if (is_null($shipping_id)) {
-            foreach (array_keys($_SESSION['shipping']) as $key) {
+            foreach ($_SESSION['shipping'] as $key => $value) {
                 $this->clearShipmentItemTemp($key);
             }
@@ -1036,5 +1036,5 @@
      */
     function setDownloadableFlgTo(&$arrOrderDetail) {
-        foreach (array_keys($arrOrderDetail) as $key) {
+        foreach ($arrOrderDetail as $key => $value) {
             // 販売価格が 0 円
             if ($arrOrderDetail[$key]['price'] == '0') {
@@ -1072,5 +1072,5 @@
 
         if ($has_items) {
-            foreach (array_keys($arrResults) as $shipping_id) {
+            foreach ($arrResults as $shipping_id => $value) {
                 $arrResults[$shipping_id]['shipment_item']
                         =& $this->getShipmentItems($order_id, $shipping_id);
Index: /branches/version-2_12-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Product.php	(revision 21931)
+++ /branches/version-2_12-dev/data/class/SC_Product.php	(revision 21935)
@@ -548,5 +548,5 @@
      */
     function setPriceTaxTo($arrProducts) {
-        foreach (array_keys($arrProducts) as $key) {
+        foreach ($arrProducts as $key => $value) {
             $arrProducts[$key]['price01_min_format'] = number_format($arrProducts[$key]['price01_min']);
             $arrProducts[$key]['price01_max_format'] = number_format($arrProducts[$key]['price01_max']);
Index: /branches/version-2_12-dev/data/class/SC_FormParam.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_FormParam.php	(revision 21925)
+++ /branches/version-2_12-dev/data/class/SC_FormParam.php	(revision 21935)
@@ -318,5 +318,5 @@
     function recursionConvParam(&$value, $convert) {
         if (is_array($value)) {
-            foreach (array_keys($value) as $key) {
+            foreach ($value as $key => $val) {
                 $this->recursionConvParam($value[$key], $convert);
             }
@@ -413,5 +413,5 @@
 
         if (is_array($ret)) {
-            foreach (array_keys($ret) as $key) {
+            foreach ($ret as $key => $value) {
                 if (SC_Utils_Ex::isBlank($ret[$key])) {
                     $ret[$key] = $default;
@@ -461,5 +461,5 @@
         $pattern = '/^[ 　\r\n\t]*(.*?)[ 　\r\n\t]*$/u';
         if (is_array($value)) {
-            foreach (array_keys($value) as $key) {
+            foreach ($value as $key => $val) {
                 $this->recursionTrim($value[$key], $convert);
             }
@@ -524,5 +524,5 @@
             // $this->paramに歯抜けが存在する場合は、NULLで埋めておく。
             // 最後に配列を詰める際に、全ての項目が埋まっている必要がある。
-            foreach (array_keys($this->keyname) as $key) {
+            foreach ($this->keyname as $key => $value) {
                 if (!isset($this->param[$key])) {
                     $this->param[$key] = NULL;